View All Resource Planning Scenarios by Portfolio and Plan Period

get

/api/restapi/resourcePlanningScenario/byPortfolioId

Send a request to this endpoint to view all Resource Planning Scenarios under portfolio with the Id and planPeriod matching the values in query parameters.

Request

Query Parameters
  • The period during which resource is allocated to projects within the plan.
    This value determines the year in which resource planning timescales start.
    You can set the planning period to either the current or following year. For example, if the year is 2020 the latest planning period you can set is 2021.
    After the planning period for a resource plan has been set it cannot be changed.
    This is a required field.
  • The system-generated identifier of the portfolio.
    This is a required field.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : List<ApiEntityResourcePlanningScenario>
Type: array
Title: List<ApiEntityResourcePlanningScenario>
Show Source
Nested Schema : ApiEntityResourcePlanningScenario
Type: object
Title: ApiEntityResourcePlanningScenario
Show Source
Nested Schema : periods
Type: array
The period data associated with resource plan scenario.
Show Source
Nested Schema : projects
Type: array
The plan projects associated with a scenario.
Show Source
Nested Schema : ApiEntityRoleDataPeriod
Type: object
Title: ApiEntityRoleDataPeriod
Show Source
Nested Schema : roleDataPerDataPeriodCost
Associated costs for a period of a role.
Match All
Associated costs for a period of a role.
Show Source
Nested Schema : ApiEntityRoleDataPeriodCost
Type: object
Title: ApiEntityRoleDataPeriodCost
Show Source
Nested Schema : ApiEntityResourcePlanProject
Type: object
Title: ApiEntityResourcePlanProject
Show Source
Nested Schema : periods
Type: array
The period data associated with a plan project.
Show Source
Nested Schema : roleAllocations
Type: array
The role data associated with plan project.
Show Source
Nested Schema : ApiEntityResourceRoleData
Type: object
Title: ApiEntityResourceRoleData
Show Source
Nested Schema : periods
Type: array
The period data associated with role.
Show Source

204 Response

Successful operation with no content.

404 Response

The requested object does not exist, or you do not have access to it.
Back to Top